Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: docs 4605, oracle support

...

Excerpt

Operating Systems

  • CentOS 7+
  • Red Hat Enterprise Linux 7
  • Debian 9+
  • Ubuntu 14+
  • Alpine 3.7+

.NET Core

  • 2.0
  • 2.1
  • 2.2
  • 3.0

ASP.NET core

  • MVC
  • Razor
  • WebAPI

Backend Calls

  • HttpClient backend calls
  • ADO.NET backend calls (SqlClient, MySql, SQLite, PostgreSQL)
  • EntityFramework
  • Redis
  • Oracle

Application environment:

  • Applications running in a container (needs to match OS)
  • Applications running on a host/VM (needs to match OS)

AppDynamics Controller version 4.4.1+

New in 4.5.9 AppDynamics Controller environment

The ability to customize Business Transaction detection that is now supported by .NET Agent for Linux 4.5.9 requires Controller versions 4.5.2 and higher. The .NET Agent 4.5.9 works with Controller v4.4.1+, but the customizable transaction detection and configuration capabilities require v4.5.2+.

...